Delete Availability Rule

Read as Markdown Required plan: Emerging

Description #

Deletes an availability rule for the authenticated account.

URL format #

{data_center_url}/v1/availability_rules/{availability_rule_id}

Example Request #

DELETE /v1/availability_rules/{availability_rule_id} HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}

Example Response #

HTTP/1.1 202 Accepted

Request parameters #

data_center_url required

The URL for the data center you want to communicate with. Possible choices are:

  • api-au.cronofy.com - 🇦🇺 Australia
  • api-ca.cronofy.com - 🇨🇦 Canada
  • api-de.cronofy.com - 🇩🇪 Germany
  • api-sg.cronofy.com - 🇸🇬 Singapore
  • api-uk.cronofy.com - 🇬🇧 United Kingdom
  • api.cronofy.com - 🇺🇸 United States

Find out more about Cronofy's data centers.

availability_rule_id required  #

The String that uniquely identifies the availability rule.

Usually this will be your own internal ID for the availability rule, encoded as an ASCII-only String of up to 64 characters.